> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create custom field sections

> This endpoint enables you to create custom field sections for your organization. You can specify a name, optional description, slug, and order. If no order is provided, it will be set to max(all current sections orders) + 1. `PROVIDER` users can pass `org_id` to create custom field sections for a managed organization.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /custom_fields/section
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /custom_fields/section:
    post:
      tags:
        - Custom Fields Section
      summary: Create custom field sections
      description: >
        This endpoint enables you to create custom field sections for your
        organization. You can specify a name, optional description, slug, and
        order. If no order is provided, it will be set to max(all current
        sections orders) + 1. `PROVIDER` users can pass `org_id` to create
        custom field sections for a managed organization.
      operationId: postCustomFieldsSection
      parameters:
        - $ref: '#/components/parameters/query_org_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  $ref: '#/components/schemas/CustomFieldSectionName'
                description:
                  $ref: '#/components/schemas/CustomFieldSectionDescription'
                slug:
                  $ref: '#/components/schemas/CustomFieldSectionSlug'
                order:
                  $ref: '#/components/schemas/CustomFieldSectionOrder'
              example:
                name: Primary Information
                description: Contains essential business details
                order: 1
                slug: primary-info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  section_id:
                    $ref: '#/components/schemas/CustomFieldSectionId'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    query_org_id:
      in: query
      name: org_id
      schema:
        type: integer
      required: false
      description: >
        Organization ID. Only `PROVIDER` users can specify a different
        organization. If not provided, defaults to your own organization.
  schemas:
    CustomFieldSectionName:
      description: >-
        The name of the custom field section. Needs to be unique from all other
        section names.
      type: string
      maxLength: 60
      example: Section A
    CustomFieldSectionDescription:
      description: Description of the custom field section
      type: string
      maxLength: 150
      nullable: true
      example: Contains primary business information fields
    CustomFieldSectionSlug:
      description: >-
        Unique identifier slug for the custom field section. Cannot contain any
        of the following characters: `,;/\|<>`
      type: string
      minLength: 1
      maxLength: 100
      nullable: true
      pattern: ^[^,;/\\|<>]*$
      example: section-a
    CustomFieldSectionOrder:
      description: >-
        Describes where the custom field section is displayed on the Business
        Edit view of the Partoo App.
      type: integer
      example: 18
    CustomFieldSectionId:
      description: Id of the custom field section
      type: integer
      example: 6
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````